eRoom 7.4.5 Plug-In Support with IE 11

Background

The eRoom 7.4.5 plug-in supports Internet Explorer 11 only in compatibility view mode. If compatibility view is not enabled, the plug-in will not work. This is listed in the 7.4.5 release notes documentation as well, under known issues.

 

Issue

It may happen that compatibility view is enabled in IE 11, as per the steps described in the release notes, but the plug-in still does not get enabled. Instead, the client browser keeps getting redirected to the plug-in install page.

 

Recommended First Step

Capture a client side fiddler trace and verify what the user-agent header is, when the request to eRoom is made. If the value indicates an IE 11 user-agent string, then this data would confirm that even though the compatibility view setting has been applied it is NOT taking effect. Essentially what that means is that the browser is running as IE 11, and plug-in does not support that.

 

  • A typical IE 11 user-agent string -

      User-Agent: Mozilla/5.0 (Windows NT 6.1; Win64; x64; Trident/7.0; rv:11.0) like Gecko

 

  • A typical IE 11 user-agent string (when running in compatibility view mode) -

      User-Agent: Mozilla/4.0 (compatible; MSIE 7.0; Windows NT 6.1; WOW64; Trident/7.0; SLCC2; .NET CLR 2.0.50727; .NET CLR           3.5.30729; .NET CLR 3.0.30729; Media Center PC 6.0; .NET4.0C; .NET CLR 1.1.4322; InfoPath.3; MS-RTC LM 8)

 

If the user-agent string is found to be consistent with compatibility view mode, then we can proceed with the analysis of the issue. If not, then this data should be highlighted and brought to the attention of the customer.